@import "../../colors.scss";

.form-component {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;

  @media (min-width: 768px) {
    width: 50%;
  }

  .form-field {
    flex: 1 0 auto;
    display: flex;
    flex-direction: column;
    margin-bottom: 0.5rem;

    .form-label {
      display: block;
      color: white;
      margin-bottom: 0.25rem;
    }

    .form-input {
      font-size: 1rem;
      border-radius: 5px;
      border: none;
      padding: 0.25rem;
    }

    .input-error {
      color: $danger;
    }
  }

  .form-actions {
    display: flex;
    justify-content: space-between;
  }

  .form-button {
    color: white;
    background: $light-blue;
    border: 1px solid darken($light-blue, 10%);
    border-radius: 5px;
    padding: 0.5rem;
    font-size: 1rem;
    &:hover {
      cursor: pointer;
    }
  }

  .form-message {
    margin-top: 0.5rem;
  }
}
